# pylint: disable=missing-module-docstring, missing-function-docstring

from argparse import ArgumentParser

from spotify_actions.combinator import combinator_take
from spotify_actions.echo import echo_tracks
from spotify_actions.search import search_tracks
from spotify_actions.util import read_credentials


def main() -> None:
    parser = ArgumentParser()
    parser.add_argument("-c", "--credentials", required=True)
    parser.add_argument("query")

    cmdline = parser.parse_args()

    client = read_credentials(cmdline.credentials)
    tracks = search_tracks(client, cmdline.query)
    tracks_take = combinator_take(tracks, count=100)
    echo_tracks(tracks_take)


if __name__ == "__main__":
    main()
